Bug 447444 - (ff3-crash-hunspell) firefox segfaults/crashes -- conflict with hunspell
firefox segfaults/crashes -- conflict with hunspell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: Reopened
: 447460 447731 448288 448432 450822 451549 452509 452579 452656 452657 455198 (view as bug list)
Depends On:
Blocks: F10Blocker/F10FinalBlocker F10Alpha/F10AlphaBlocker
  Show dependency treegraph
 
Reported: 2008-05-19 18:18 EDT by Tom London
Modified: 2008-07-25 10:11 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 11:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-05-19 18:18:04 EDT
Description of problem:
firefox is segfaulting for me frequently:

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.63zSmr
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Missing separate debuginfos, use: debuginfo-install firefox.i386
(gdb) 
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7f026d0 (LWP 3853)]
[New Thread 0xb7d01b90 (LWP 3863)]
[New Thread 0xb7300b90 (LWP 3864)]
[New Thread 0xb687ab90 (LWP 3865)]
[New Thread 0xb5cffb90 (LWP 3866)]
[New Thread 0xb52feb90 (LWP 3867)]
[New Thread 0xb48fdb90 (LWP 3872)]
[Thread 0xb687ab90 (LWP 3865) exited]
[New Thread 0xb687ab90 (LWP 3886)]
[New Thread 0xb22fcb90 (LWP 3888)]
[New Thread 0xb2cfdb90 (LWP 3887)]
[Thread 0xb687ab90 (LWP 3886) exited]
[New Thread 0xb687ab90 (LWP 3889)]
[Thread 0xb2cfdb90 (LWP 3887) exited]
[New Thread 0xb2cfdb90 (LWP 3890)]
[Thread 0xb687ab90 (LWP 3889) exited]
Detaching after fork from child process 3917.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf
*** glibc detected *** /usr/lib/firefox-3.0pre/firefox: malloc(): memory
corruption: 0x0a74f598 ***
======= Backtrace: =========
/lib/libc.so.6[0x9dcec6]
/lib/libc.so.6(__libc_malloc+0x95)[0x9de615]
/usr/lib/libstdc++.so.6(_Znwj+0x27)[0x7154167]
/usr/lib/libhunspell-1.2.so.0(_ZN8Hunspell4initEPKcS1_S1_+0x54)[0x7a8c444]
/usr/lib/libhunspell-1.2.so.0(_ZN8HunspellC1EPKcS1_+0x33)[0x7a8c683]
/usr/lib/xulrunner-1.9pre/libxul.so[0x297f6bd]
/usr/lib/xulrunner-1.9pre/libxul.so[0x29760c3]
/usr/lib/xulrunner-1.9pre/libxul.so[0x286c1f2]
/usr/lib/xulrunner-1.9pre/libxul.so[0x286d2cc]
/usr/lib/xulrunner-1.9pre/libxul.so[0x297ab73]
/usr/lib/xulrunner-1.9pre/libxul.so[0x25fa8e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x25f35cc]
/usr/lib/xulrunner-1.9pre/libxul.so[0x238d963]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22f010a]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea4cd]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22e9926]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea0a8]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea55d]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ea927]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22eaa57]
/usr/lib/xulrunner-1.9pre/libxul.so[0x22ed2e9]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00115000 r-xp 00000000 fd:00 5491190    /usr/lib/libXfixes.so.3.1.0
00115000-00116000 rw-p 00003000 fd:00 5491190    /usr/lib/libXfixes.so.3.1.0
00116000-0011c000 r-xp 00000000 fd:00 5491174    /usr/lib/libXrandr.so.2.1.0
0011c000-0011d000 rw-p 00005000 fd:00 5491174    /usr/lib/libXrandr.so.2.1.0
0011d000-00128000 r-xp 00000000 fd:00 7209762    /lib/libnss_files-2.8.90.so
00128000-00129000 r--p 0000a000 fd:00 7209762    /lib/libnss_files-2.8.90.so
00129000-0012a000 rw-p 0000b000 fd:00 7209762    /lib/libnss_files-2.8.90.so
0012a000-001b5000 r-xp 00000000 fd:00 5489046    /usr/lib/libfreetype.so.6.3.16
001b5000-001b9000 rw-p 0008a000 fd:00 5489046    /usr/lib/libfreetype.so.6.3.16
001b9000-001ba000 r-xp 00000000 fd:00 5734850   
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
001ba000-001bb000 rw-p 00001000 fd:00 5734850   
/usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
001bb000-001e1000 r-xp 00000000 fd:00 5479750    /usr/lib/libpng12.so.0.24.0
001e1000-001e2000 rw-p 00026000 fd:00 5479750    /usr/lib/libpng12.so.0.24.0
001e2000-001e3000 r-xp 00000000 fd:00 5735791   
/usr/lib/pango/1.6.0/modules/pango-arabic-lang.so
001e3000-001e4000 rw-p 00000000 fd:00 5735791   
/usr/lib/pango/1.6.0/modules/pango-arabic-lang.so
001e4000-00212000 r-xp 00000000 fd:00 5489228    /usr/lib/libfontconfig.so.1.3.0
00212000-00213000 rw-p 0002e000 fd:00 5489228    /usr/lib/libfontconfig.so.1.3.0
00213000-00238000 r-xp 00000000 fd:00 7209788    /lib/libexpat.so.1.5.2
00238000-0023a000 rw-p 00024000 fd:00 7209788    /lib/libexpat.so.1.5.2
0023a000-00248000 r-xp 00000000 fd:00 5767289   
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00248000-00249000 rw-p 0000d000 fd:00 5767289   
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so
00249000-0025a000 r-xp 00000000 fd:00 7209796    /lib/libresolv-2.8.90.so
0025a000-0025b000 r--p 00011000 fd:00 7209796    /lib/libresolv-2.8.90.so
0025b000-0025c000 rw-p 00012000 fd:00 7209796    /lib/libresolv-2.8.90.so
0025c000-0025e000 rw-p 0025c000 00:00 0 
0025e000-00261000 r-xp 00000000 fd:00 7209602    /lib/libcap.so.2.06
00261000-00262000 rw-p 00003000 fd:00 7209602    /lib/libcap.so.2.06
00262000-00264000 r-xp 00000000 fd:00 8324019    /usr/lib/gconv/UTF-16.so
00264000-00265000 r--p 00002000 fd:00 8324019    /usr/lib/gconv/UTF-16.so
00265000-00266000 rw-p 00003000 fd:00 8324019    /usr/lib/gconv/UTF-16.so
00266000-00275000 r-xp 00000000 fd:00 6493149   
/usr/lib/firefox-3.0pre/components/libbrowserdirprovider.so
00275000-00276000 rw-p 0000e000 fd:00 6493149   
/usr/lib/firefox-3.0pre/components/libbrowserdirprovider.so
00276000-0027f000 r-xp 00000000 fd:00 5508821   
/usr/lib/xulrunner-1.9pre/components/libdbusservice.so
0027f000-00280000 rw-p 00009000 fd:00 5508821   
/usr/lib/xulrunner-1.9pre/components/libdbusse
Program received signal SIGABRT, Aborted.
0x00110416 in __kernel_vsyscall ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y


This is in ~/.xsession-errors:

Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf
/usr/lib/firefox-3.0pre/run-mozilla.sh: line 131:  3604 Segmentation fault     
"$prog" ${1+"$@"}


Version-Release number of selected component (if applicable):
firefox-3.0-0.63.cvs20080516.fc10.i386

How reproducible:
Often!

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-05-19 18:18:54 EDT
Should have included version of glibc: 

glibc-2.8.90-3.i686
Comment 2 Tom London 2008-05-19 19:01:00 EDT
I installed xulrunner-debuginfo.

I got 2 more crashes.  First included here:

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in
(/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.RSQPQc
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7f666d0 (LWP 5773)]
[New Thread 0xb7d65b90 (LWP 5781)]
[New Thread 0xb7364b90 (LWP 5782)]
[New Thread 0xb68deb90 (LWP 5783)]
[New Thread 0xb5eddb90 (LWP 5784)]
[New Thread 0xb54dcb90 (LWP 5785)]
[New Thread 0xb49d1b90 (LWP 5787)]
[Thread 0xb49d1b90 (LWP 5787) exited]
[New Thread 0xb49d1b90 (LWP 5788)]
[Thread 0xb49d1b90 (LWP 5788) exited]
[New Thread 0xb49d1b90 (LWP 5789)]
[New Thread 0xb2fb5b90 (LWP 5791)]
[New Thread 0xb25b4b90 (LWP 5792)]
[New Thread 0xb1bb3b90 (LWP 5793)]
[Thread 0xb25b4b90 (LWP 5792) exited]
[New Thread 0xb25b4b90 (LWP 5794)]
[Thread 0xb49d1b90 (LWP 5789) exited]
[Thread 0xb25b4b90 (LWP 5794) exited]
Detaching after fork from child process 5816.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px;
left: 1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf
[Thread 0xb68deb90 (LWP 5783) exited]
[Thread 0xb1bb3b90 (LWP 5793) exited]
[New Thread 0xb1bb3b90 (LWP 6007)]
[New Thread 0xb68deb90 (LWP 6009)]
[Thread 0xb68deb90 (LWP 6009) exited]
[New Thread 0xb68deb90 (LWP 6159)]
[Thread 0xb68deb90 (LWP 6159) exited]
[Thread 0xb1bb3b90 (LWP 6007) exited]
[New Thread 0xb1bb3b90 (LWP 6263)]

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 0xb7d65b90 (LWP 5781)]
0x00110416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install firefox.i386
(gdb) where
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00b1f5c8 in send () from /lib/libpthread.so.0
#2  0x0761455e in ?? () from /lib/libnspr4.so
#3  0x0789b18c in ssl_DefSend (ss=<value optimized out>, 
    buf=<value optimized out>, len=<value optimized out>, 
    flags=<value optimized out>) at ssldef.c:128
#4  0x0788b8c4 in ssl3_SendRecord (ss=<value optimized out>, 
    type=<value optimized out>, pIn=<value optimized out>, 
    nIn=<value optimized out>, flags=<value optimized out>) at ssl3con.c:2041
#5  0x0788bd96 in SSL3_SendAlert (ss=<value optimized out>, 
    level=<value optimized out>, desc=<value optimized out>) at ssl3con.c:2296
#6  0x0789eed2 in ssl_SecureClose (ss=<value optimized out>) at
sslsecur.c:1015
#7  0x078a38f7 in ssl_Close (fd=<value optimized out>) at sslsock.c:1405
#8  0x027eb100 in nsNSSSocketInfo::CloseSocketAndDestroy (
    this=<value optimized out>) at nsNSSIOLayer.cpp:1492
#9  0x027da38c in nsSSLThread::requestClose (si=<value optimized out>)
    at nsSSLThread.cpp:423
#10 0x027e936b in nsSSLIOLayerClose (fd=<value optimized out>)
    at nsNSSIOLayer.cpp:1477
#11 0x075f9201 in PR_Close () from /lib/libnspr4.so
#12 0x021e92b4 in nsSocketTransport::ReleaseFD_Locked (
    this=<value optimized out>, fd=Could not find the frame base for
"nsSocketTransport::ReleaseFD_Locked(PRFileDesc*)".
) at nsSocketTransport2.cpp:1367
#13 0x021e9af7 in nsSocketTransport::OnSocketDetached (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, fd=Could not find the frame base for
"nsSocketTransport::OnSocketDetached(PRFileDesc*)".
) at nsSocketTransport2.cpp:1590
#14 0x021ecfef in nsSocketTransportService::DetachSocket (
    this=<value optimized out>, sock=<value optimized out>)
    at nsSocketTransportService2.cpp:179
#15 0x021ed548 in nsSocketTransportService::DoPollIteration (
    this=<value optimized out>, wait=<value optimized out>)
    at nsSocketTransportService2.cpp:634
#16 0x021ed6c8 in nsSocketTransportService::OnProcessNextEvent (
    this=<value optimized out>, thread=<value optimized out>, 
    mayWait=<value optimized out>, depth=<value optimized out>)
    at nsSocketTransportService2.cpp:519
#17 0x029be76e in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:497
#18 0x0298b802 in NS_ProcessPendingEvents_P (thread=<value optimized out>, 
    timeout=Could not find the frame base for
"NS_ProcessPendingEvents_P(nsIThread*, unsigned int)".
) at nsThreadUtils.cpp:180
#19 0x021ed160 in nsSocketTransportService::Run (this=<value optimized out>)
    at nsSocketTransportService2.cpp:555
#20 0x029be7ca in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#21 0x0298b76c in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
---Type <return> to continue, or q <return> to quit---
#22 0x029bf078 in nsThread::ThreadFunc (arg=<value optimized out>)
    at nsThread.cpp:254
#23 0x07616f51 in ?? () from /lib/libnspr4.so
#24 0x00b1851f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#25 0x00a4ebde in clone () from /lib/libc.so.6
(gdb) 

Comment 3 Tom London 2008-05-19 19:02:01 EDT
Next crash here:

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.0sAnXE
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb80176d0 (LWP 6750)]
[New Thread 0xb7e16b90 (LWP 6758)]
[New Thread 0xb7415b90 (LWP 6759)]
[New Thread 0xb698fb90 (LWP 6760)]
[New Thread 0xb5f8eb90 (LWP 6761)]
[New Thread 0xb558db90 (LWP 6762)]
[New Thread 0xb49ffb90 (LWP 6763)]
[Thread 0xb49ffb90 (LWP 6763) exited]
[New Thread 0xb49ffb90 (LWP 6764)]
[Thread 0xb49ffb90 (LWP 6764) exited]
[New Thread 0xb49ffb90 (LWP 6770)]
[New Thread 0xb2affb90 (LWP 6771)]
[Thread 0xb49ffb90 (LWP 6770) exited]
[New Thread 0xb20feb90 (LWP 6772)]
[New Thread 0xb49ffb90 (LWP 6773)]
[New Thread 0xb16fdb90 (LWP 6774)]
[New Thread 0xb0cfcb90 (LWP 6775)]
[New Thread 0xb02fbb90 (LWP 6776)]
[Thread 0xb49ffb90 (LWP 6773) exited]
[Thread 0xb16fdb90 (LWP 6774) exited]
[Thread 0xb20feb90 (LWP 6772) exited]
[Thread 0xb0cfcb90 (LWP 6775) exited]
[New Thread 0xb0cfcb90 (LWP 6782)]
[Thread 0xb02fbb90 (LWP 6776) exited]
Detaching after fork from child process 6842.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf

Program received signal SIGSEGV, Segmentation fault.
0x02213b14 in nsCacheService::DoomEntry_Internal (this=<value optimized out>, 
    entry=<value optimized out>) at nsCacheService.cpp:1643
1643	    if (device)  device->DoomEntry(entry);
Missing separate debuginfos, use: debuginfo-install firefox.i386
(gdb) where
#0  0x02213b14 in nsCacheService::DoomEntry_Internal (
    this=<value optimized out>, entry=<value optimized out>)
    at nsCacheService.cpp:1643
#1  0x02213e70 in nsCacheService::ActivateEntry (this=<value optimized out>, 
    request=<value optimized out>, result=<value optimized out>)
    at nsCacheService.cpp:1474
#2  0x02213fe3 in nsCacheService::ProcessRequest (this=<value optimized out>, 
    request=<value optimized out>, 
    calledFromOpenCacheEntry=<value optimized out>, 
    result=<value optimized out>) at nsCacheService.cpp:1340
#3  0x022143ef in nsCacheService::OpenCacheEntry (
    session=<value optimized out>, key=<value optimized out>, 
    accessRequested=<value optimized out>, blockingMode=<value optimized out>, 
    listener=<value optimized out>, result=<value optimized out>)
    at nsCacheService.cpp:1420
#4  0x0221566c in nsCacheSession::OpenCacheEntry (this=Could not find the frame
base for "nsCacheSession::OpenCacheEntry(nsACString_internal const&, int, int,
nsICacheEntryDescriptor**)".
)
    at nsCacheSession.cpp:106
#5  0x022cc47f in imgCache::Put (aKey=<value optimized out>, 
    request=<value optimized out>, aEntry=<value optimized out>)
    at imgCache.cpp:223
#6  0x022d0bd1 in imgLoader::LoadImage (this=<value optimized out>, 
    aURI=<value optimized out>, aInitialDocumentURI=<value optimized out>, 
    aReferrerURI=<value optimized out>, aLoadGroup=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aObserver=<value optimized out>, aCX=<value optimized out>, 
    aLoadFlags=<value optimized out>, cacheKey=Could not find the frame base for
"imgLoader::LoadImage(nsIURI*, nsIURI*, nsIURI*, nsILoadGroup*,
imgIDecoderObserver*, nsISupports*, unsigned int, nsISupports*, imgIRequest*,
imgIRequest**)".
) at imgLoader.cpp:487
#7  0x024437a9 in nsContentUtils::LoadImage (aURI=<value optimized out>, 
    aLoadingDocument=<value optimized out>, aLoadingPrincipal=Could not find the
frame base for "nsContentUtils::LoadImage(nsIURI*, nsIDocument*, nsIPrincipal*,
nsIURI*, imgIDecoderObserver*, int, imgIRequest**)".
)
    at nsContentUtils.cpp:2329
#8  0x023c4c3b in Image (this=<value optimized out>, 
    aURI=<value optimized out>, aString=<value optimized out>, 
    aReferrer=<value optimized out>, aOriginPrincipal=<value optimized out>, 
    aDocument=<value optimized out>) at nsCSSValue.cpp:481
#9  0x023c50bd in nsCSSValue::StartImageLoad (this=<value optimized out>, 
    aDocument=<value optimized out>) at nsCSSValue.cpp:390
#10 0x0239aca8 in nsCSSCompressedDataBlock::MapRuleInfoInto (
    this=<value optimized out>, aRuleData=<value optimized out>)
    at nsCSSDataBlock.cpp:212
#11 0x023dd6c2 in nsRuleNode::WalkRuleTree (this=<value optimized out>, 
    aSID=<value optimized out>, aContext=<value optimized out>, 
    aRuleData=<value optimized out>, aSpecificData=<value optimized out>)
    at nsRuleNode.cpp:1418
#12 0x023de1bf in nsRuleNode::GetBackgroundData (this=<value optimized out>, 
    aContext=<value optimized out>) at nsRuleNode.cpp:1211
#13 0x023de241 in nsRuleNode::GetStyleBackground (this=<value optimized out>, 
    aContext=<value optimized out>, aComputeData=<value optimized out>)
    at nsStyleStructList.h:79
---Type <return> to continue, or q <return> to quit---
#14 0x023e1609 in nsStyleContext::GetStyleBackground (
    this=<value optimized out>) at nsStyleStructList.h:79
#15 0x022ea4a6 in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7700
#16 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#17 0x022ec1ad in nsCSSFrameConstructor::ProcessInlineChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aKidsAllInline=Could not find the frame
base for "nsCSSFrameConstructor::ProcessInlineChildren(nsFrameConstructorState&,
nsIContent*, nsIFrame*, int, nsFrameItems&, int*)".
)
    at nsCSSFrameConstructor.cpp:12799
#18 0x022e94f0 in nsCSSFrameConstructor::ConstructInline (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructInline(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsStyleContext*, int, nsIFrame*)".
)
    at nsCSSFrameConstructor.cpp:12570
#19 0x022ea13c in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6636
#20 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#21 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#22 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#23 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#24 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#25 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#26 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#27 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#28 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
---Type <return> to continue, or q <return> to quit---
#29 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#30 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#31 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#32 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#33 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
---Type <return> to continue, or q <return> to quit---
    at nsCSSFrameConstructor.cpp:12516
#34 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#35 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#36 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#37 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#38 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#39 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#40 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#41 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#42 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
---Type <return> to continue, or q <return> to quit---
#43 0x022f15e0 in nsCSSFrameConstructor::ConstructTableCellFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrameIn=<value optimized out>, 
    aStyleContext=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aIsPseudo=<value optimized out>, aChildItems=Could not find the frame base
for "nsCSSFrameConstructor::ConstructTableCellFrame(nsFrameConstructorState&,
nsIContent*, nsIFrame*, nsStyleContext*, int, int, nsFrameItems&, nsIFrame*&,
nsIFrame*&, int&)".
)
    at nsCSSFrameConstructor.cpp:4095
#44 0x022e9d9a in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6730
#45 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#46 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#47 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#48 0x022f210e in nsCSSFrameConstructor::ConstructTableRowFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrameIn=<value optimized out>, 
    aStyleContext=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aIsPseudo=<value optimized out>, aChildItems=Could not find the frame base
for "nsCSSFrameConstructor::ConstructTableRowFrame(nsFrameConstructorState&,
nsIContent*, nsIFrame*, nsStyleContext*, int, int, nsFrameItems&, nsIFrame*&,
int&)".
)
    at nsCSSFrameConstructor.cpp:3918
#49 0x022e9e07 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6718
#50 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#51 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#52 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#53 0x022f1107 in nsCSSFrameConstructor::ConstructTableFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aContentParent=<value optimized out>, 
    aStyleContext=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aIsPseudo=<value optimized out>, aChildItems=<value optimized out>, 
    aNewOuterFrame=<value optimized out>, aNewInnerFrame=<value optimized out>)
    at nsCSSFrameConstructor.cpp:3672
#54 0x022e9f4e in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6661
#55 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#56 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#57 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#58 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#59 0x022ea0a8 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6587
#60 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#61 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#62 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#63 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#64 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#65 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#66 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#67 0x022f456e in nsCSSFrameConstructor::ContentInserted (
    this=<value optimized out>, aContainer=<value optimized out>, 
    aChild=<value optimized out>, aIndexInContainer=<value optimized out>, 
    aFrameState=<value optimized out>) at nsCSSFrameConstructor.cpp:9144
#68 0x022f4cf8 in nsCSSFrameConstructor::RecreateFramesForContent (
    this=<value optimized out>, aContent=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11258
#69 0x022f4f07 in nsCSSFrameConstructor::ProcessRestyledFrames (
    this=<value optimized out>, aChangeList=<value optimized out>)
    at nsCSSFrameConstructor.cpp:10004
#70 0x022f50b1 in nsCSSFrameConstructor::RestyleElement (
    this=<value optimized out>, aContent=<value optimized out>, 
    aPrimaryFrame=<value optimized out>, aMinHint=<value optimized out>)
    at nsCSSFrameConstructor.cpp:10068
---Type <return> to continue, or q <return> to quit---
#71 0x022f5238 in nsCSSFrameConstructor::ProcessOneRestyle (
    this=<value optimized out>, aContent=<value optimized out>, 
    aRestyleHint=<value optimized out>, aChangeHint=<value optimized out>)
    at nsCSSFrameConstructor.cpp:13377
#72 0x022f53ac in nsCSSFrameConstructor::ProcessPendingRestyles (
    this=<value optimized out>) at nsCSSFrameConstructor.cpp:13471
#73 0x0231d2a1 in PresShell::DoFlushPendingNotifications (
    this=<value optimized out>, aType=<value optimized out>, 
    aInterruptibleReflow=<value optimized out>) at nsPresShell.cpp:4548
#74 0x0231d3ff in PresShell::FlushPendingNotifications (this=Could not find the
frame base for "PresShell::FlushPendingNotifications(mozFlushType)".
)
    at nsPresShell.cpp:4514
#75 0x022e3505 in nsCSSFrameConstructor::RestyleEvent::Run (
    this=<value optimized out>) at nsCSSFrameConstructor.cpp:13544
#76 0x029be7ca in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:510
#77 0x0298b76c in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#78 0x02901014 in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#79 0x027b57fc in nsAppStartup::Run (this=<value optimized out>)
    at nsAppStartup.cpp:181
#80 0x02185e91 in XRE_main (argc=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#81 0x08049169 in main (argc=1, argv=0xbfb2f594) at nsXULStub.cpp:364
(gdb) 
(gdb) 
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[tbl@localhost ~]$ 
Comment 4 Tom London 2008-05-19 20:53:48 EDT
One more, this time with more debuginfo packages.....

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.obGzeS
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fab6d0 (LWP 4350)]
[New Thread 0xb7daab90 (LWP 4369)]
[New Thread 0xb73a9b90 (LWP 4370)]
[New Thread 0xb6923b90 (LWP 4371)]
[New Thread 0xb5f22b90 (LWP 4372)]
[New Thread 0xb5521b90 (LWP 4373)]
[New Thread 0xb48ffb90 (LWP 4374)]
[New Thread 0xb3efeb90 (LWP 4375)]
[Thread 0xb6923b90 (LWP 4371) exited]
[Thread 0xb3efeb90 (LWP 4375) exited]
[New Thread 0xb6923b90 (LWP 4376)]
[New Thread 0xb3efeb90 (LWP 4377)]
[New Thread 0xb263eb90 (LWP 4378)]
[Thread 0xb6923b90 (LWP 4376) exited]
[New Thread 0xb6923b90 (LWP 4383)]
[Thread 0xb263eb90 (LWP 4378) exited]
Detaching after fork from child process 4400.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf

Program received signal SIGSEGV, Segmentation fault.
malloc_consolidate (av=<value optimized out>) at malloc.c:4846
4846	          nextsize = chunksize(nextchunk);
Current language:  auto; currently c
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bug-buddy.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 elfutils.i386 esound.i386 expat.i386 fontconfig.i386
freetype.i386 gamin.i386 gnome-keyring.i386 gnutls.i386 hunspell.i386
keyutils.i386 krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386
libXScrnSaver.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdmcp.i386
libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386
libXrandr.i386 libXrender.i386 libXt.i386 libart_lgpl.i386 libbonobo.i386
libbonoboui.i386 libcap.i386 libgcrypt.i386 libgnome.i386 libgnomecanvas.i386
libgnomeui.i386 libgpg-error.i386 libjpeg.i386 libselinux.i386 libsoup.i386
libtasn1.i386 libxcb.i386 libxml2.i386 nss-mdns.i386 openssl.i686 pixman.i386
popt.i386 swfdec-mozilla.i386 swfdec.i386 zlib.i386
(gdb) where
#0  malloc_consolidate (av=<value optimized out>) at malloc.c:4846
#1  0x009dc7dd in _int_malloc (av=<value optimized out>, 
    bytes=<value optimized out>) at malloc.c:4184
#2  0x009de615 in __libc_malloc (bytes=<value optimized out>) at malloc.c:3551
#3  0x07154167 in operator new (sz=<value optimized out>)
    at ../../../../libstdc++-v3/libsupc++/new_op.cc:57
#4  0x07a85193 in HashMgr::load_config () from /usr/lib/libhunspell-1.2.so.0
#5  0x07a865d8 in HashMgr::HashMgr () from /usr/lib/libhunspell-1.2.so.0
#6  0x07a8c463 in Hunspell::init () from /usr/lib/libhunspell-1.2.so.0
#7  0x07a8c683 in Hunspell::Hunspell () from /usr/lib/libhunspell-1.2.so.0
#8  0x0297f6bd in mozHunspell::SetDictionary (this=<value optimized out>, 
    aDictionary=<value optimized out>) at mozHunspell.cpp:157
#9  0x029760c3 in mozSpellChecker::SetCurrentDictionary (
    this=<value optimized out>, aDictionary=<value optimized out>)
    at mozSpellChecker.cpp:373
#10 0x0286c1f2 in nsEditorSpellCheck::SetCurrentDictionary (
    this=<value optimized out>, aDictionary=<value optimized out>)
    at nsEditorSpellCheck.cpp:455
#11 0x0286d2cc in nsEditorSpellCheck::InitSpellChecker (
    this=<value optimized out>, aEditor=<value optimized out>, 
    aEnableSelectionChecking=<value optimized out>)
    at nsEditorSpellCheck.cpp:212
#12 0x0297ab73 in mozInlineSpellChecker::SetEnableRealTimeSpell (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aEnabled=<value optimized out>)
    at mozInlineSpellChecker.cpp:724
#13 0x025fa8e9 in nsEditor::SyncRealTimeSpell (this=<value optimized out>)
    at nsEditor.cpp:1326
#14 0x025f35cc in nsEditor::PostCreate (this=<value optimized out>)
    at nsEditor.cpp:246
#15 0x0238d963 in nsTextControlFrame::SetInitialChildList (
    this=<value optimized out>, aListName=<value optimized out>, 
    aChildList=<value optimized out>) at nsTextControlFrame.cpp:2792
#16 0x022f010a in nsCSSFrameConstructor::ConstructHTMLFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=Could not find the frame base for
"nsCSSFrameConstructor::ConstructHTMLFrame(nsFrameConstructorState&,
nsIContent*, nsIFrame*, nsIAtom*, int, nsStyleContext*, nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:5634
#17 0x022ea4cd in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7707
#18 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#19 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#20 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#21 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#22 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#23 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#24 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#25 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#26 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#27 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#28 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#29 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#30 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#31 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#32 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
---Type <return> to continue, or q <return> to quit---
#33 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#34 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#35 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#36 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#37 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#38 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#39 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#40 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#41 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#42 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#43 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#44 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#45 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#46 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#47 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#48 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#49 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#50 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#51 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#52 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#53 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#54 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#55 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#56 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#57 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#58 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#59 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#60 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#61 0x022ea0a8 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6587
---Type <return> to continue, or q <return> to quit---
#62 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#63 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#64 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#65 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#66 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
---Type <return> to continue, or q <return> to quit---
    at nsCSSFrameConstructor.cpp:6617
#67 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#68 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#69 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#70 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#71 0x022e9b1f in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6563
#72 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#73 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#74 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#75 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#76 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#77 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#78 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#79 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#80 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#81 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#82 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#83 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#84 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#85 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
---Type <return> to continue, or q <return> to quit---
#86 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#87 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#88 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#89 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#90 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
---Type <return> to continue, or q <return> to quit---
    at nsCSSFrameConstructor.cpp:12516
#91 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#92 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#93 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#94 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#95 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#96 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#97 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#98 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#99 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
---Type <return> to continue, or q <return> to quit---
#100 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#101 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
#102 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#103 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#104 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at nsCSSFrameConstructor.cpp:11412
#105 0x022f15e0 in nsCSSFrameConstructor::ConstructTableCellFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrameIn=<value optimized out>, 
    aStyleContext=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aIsPseudo=<value optimized out>, aChildItems=Could not find the frame base
for "nsCSSFrameConstructor::ConstructTableCellFrame(nsFrameConstructorState&,
nsIContent*, nsIFrame*, nsStyleContext*, int, int, nsFrameItems&, nsIFrame*&,
nsIFrame*&, int&)".
)
    at nsCSSFrameConstructor.cpp:4095
#106 0x022e9d9a in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6730
#107 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#108 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#109 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#110 0x022f210e in nsCSSFrameConstructor::ConstructTableRowFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrameIn=<value optimized out>, 
    aStyleContext=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aIsPseudo=<value optimized out>, aChildItems=Could not find the frame base
for "nsCSSFrameConstructor::ConstructTableRowFrame(nsFrameConstructorState&,
nsIContent*, nsIFrame*, nsStyleContext*, int, int, nsFrameItems&, nsIFrame*&,
int&)".
)
    at nsCSSFrameConstructor.cpp:3918
#111 0x022e9e07 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6718
#112 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#113 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#114 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#115 0x022f1107 in nsCSSFrameConstructor::ConstructTableFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aContentParent=<value optimized out>, 
    aStyleContext=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aIsPseudo=<value optimized out>, aChildItems=<value optimized out>, 
    aNewOuterFrame=<value optimized out>, aNewInnerFrame=<value optimized out>)
    at nsCSSFrameConstructor.cpp:3672
#116 0x022e9f4e in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6661
#117 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#118 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#119 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#120 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#121 0x022ea0a8 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6587
#122 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
---Type <return> to continue, or q <return> to quit---
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#123 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#124 0x022eaa57 in nsCSSFrameConstructor::ProcessChildren (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aFrame=<value optimized out>, 
    aCanHaveGeneratedContent=<value optimized out>, 
    aFrameItems=<value optimized out>, aParentIsBlock=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11412
#125 0x022ed2e9 in nsCSSFrameConstructor::ConstructBlock (
    this=<value optimized out>, aState=<value optimized out>, aDisplay=Could not
find the frame base for
"nsCSSFrameConstructor::ConstructBlock(nsFrameConstructorState&, nsStyleDisplay
const*, nsIContent*, nsIFrame*, nsIFrame*, nsStyleContext*, nsIFrame**,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:12516
#126 0x022e9926 in nsCSSFrameConstructor::ConstructFrameByDisplayType (
    this=<value optimized out>, aState=<value optimized out>, 
    aDisplay=<value optimized out>, aContent=<value optimized out>, 
    aNameSpaceID=<value optimized out>, aTag=Could not find the frame base for
"nsCSSFrameConstructor::ConstructFrameByDisplayType(nsFrameConstructorState&,
nsStyleDisplay const*, nsIContent*, int, nsIAtom*, nsIFrame*, nsStyleContext*,
nsFrameItems&, int)".
)
    at nsCSSFrameConstructor.cpp:6617
---Type <return> to continue, or q <return> to quit---
#127 0x022ea55d in nsCSSFrameConstructor::ConstructFrameInternal (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aTag=<value optimized out>, aNameSpaceID=<value optimized out>, 
    aStyleContext=<value optimized out>, aFrameItems=<value optimized out>, 
    aXBLBaseTag=<value optimized out>) at nsCSSFrameConstructor.cpp:7758
#128 0x022ea927 in nsCSSFrameConstructor::ConstructFrame (
    this=<value optimized out>, aState=<value optimized out>, 
    aContent=<value optimized out>, aParentFrame=<value optimized out>, 
    aFrameItems=<value optimized out>) at nsCSSFrameConstructor.cpp:7580
#129 0x022f456e in nsCSSFrameConstructor::ContentInserted (
    this=<value optimized out>, aContainer=<value optimized out>, 
    aChild=<value optimized out>, aIndexInContainer=<value optimized out>, 
    aFrameState=<value optimized out>) at nsCSSFrameConstructor.cpp:9144
#130 0x022f4cf8 in nsCSSFrameConstructor::RecreateFramesForContent (
    this=<value optimized out>, aContent=<value optimized out>)
    at nsCSSFrameConstructor.cpp:11258
#131 0x022f4f07 in nsCSSFrameConstructor::ProcessRestyledFrames (
    this=<value optimized out>, aChangeList=<value optimized out>)
    at nsCSSFrameConstructor.cpp:10004
#132 0x022f50b1 in nsCSSFrameConstructor::RestyleElement (
    this=<value optimized out>, aContent=<value optimized out>, 
    aPrimaryFrame=<value optimized out>, aMinHint=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at nsCSSFrameConstructor.cpp:10068
#133 0x022f5238 in nsCSSFrameConstructor::ProcessOneRestyle (
    this=<value optimized out>, aContent=<value optimized out>, 
    aRestyleHint=<value optimized out>, aChangeHint=<value optimized out>)
    at nsCSSFrameConstructor.cpp:13377
#134 0x022f53ac in nsCSSFrameConstructor::ProcessPendingRestyles (
    this=<value optimized out>) at nsCSSFrameConstructor.cpp:13471
#135 0x0231d2a1 in PresShell::DoFlushPendingNotifications (
    this=<value optimized out>, aType=<value optimized out>, 
    aInterruptibleReflow=<value optimized out>) at nsPresShell.cpp:4548
#136 0x0231d3e7 in PresShell::WillPaint (this=<value optimized out>)
    at nsPresShell.cpp:6006
#137 0x0259571f in nsViewManager::DispatchEvent (this=<value optimized out>, 
    aEvent=<value optimized out>, aStatus=<value optimized out>)
    at nsViewManager.cpp:1118
#138 0x02590098 in HandleEvent (aEvent=<value optimized out>) at nsView.cpp:168
#139 0x028eba38 in nsCommonWidget::DispatchEvent (this=<value optimized out>, 
    aEvent=Could not find the frame base for
"nsCommonWidget::DispatchEvent(nsGUIEvent*, nsEventStatus&)".
) at nsCommonWidget.cpp:158
#140 0x028e6a22 in nsWindow::OnExposeEvent (this=<value optimized out>, 
    aWidget=Could not find the frame base for
"nsWindow::OnExposeEvent(_GtkWidget*, _GdkEventExpose*)".
) at nsWindow.cpp:1763
#141 0x028e70b5 in expose_event_cb (widget=<value optimized out>, 
    event=<value optimized out>) at nsWindow.cpp:4529
#142 0x00434ae8 in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame
base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
---Type <return> to continue, or q <return> to quit---
#143 0x00c5a12b in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#144 0x00c6e995 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#145 0x00c6fd58 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2209
#146 0x00c70336 in IA__g_signal_emit (instance=Could not find the frame base for
"IA__g_signal_emit".
) at gsignal.c:2243
#147 0x005c2c59 in gtk_widget_event_internal (widget=Could not find the frame
base for "gtk_widget_event_internal".
) at gtkwidget.c:4676
#148 0x005c28ba in IA__gtk_widget_send_expose (widget=Could not find the frame
base for "IA__gtk_widget_send_expose".
) at gtkwidget.c:4508
#149 0x00431773 in IA__gtk_main_do_event (event=Could not find the frame base
for "IA__gtk_main_do_event".
) at gtkmain.c:1518
#150 0x00753bac in gdk_window_process_updates_internal (window=Could not find
the frame base for "gdk_window_process_updates_internal".
)
    at gdkwindow.c:2378
#151 0x00753d1d in IA__gdk_window_process_all_updates () at gdkwindow.c:2444
#152 0x0075395f in gdk_window_update_idle (data=Could not find the frame base
for "gdk_window_update_idle".
) at gdkwindow.c:2288
#153 0x00731361 in gdk_threads_dispatch (data=Could not find the frame base for
"gdk_threads_dispatch".
) at gdk.c:470
#154 0x00b97181 in g_idle_dispatch (source=Could not find the frame base for
"g_idle_dispatch".
) at gmain.c:4087
#155 0x00b99098 in IA__g_main_context_dispatch (context=<value optimized out>)
    at gmain.c:2009
---Type <return> to continue, or q <return> to quit---
#156 0x00b9c743 in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, self=Could not
find the frame base for "g_main_context_iterate".
)
    at gmain.c:2642
#157 0x00b9c901 in IA__g_main_context_iteration (
    context=<value optimized out>, may_block=<value optimized out>)
    at gmain.c:2705
#158 0x028ea124 in nsAppShell::ProcessNextNativeEvent (this=Could not find the
frame base for "nsAppShell::ProcessNextNativeEvent(int)".
)
    at nsAppShell.cpp:144
#159 0x02900d34 in nsBaseAppShell::DoProcessNextNativeEvent (this=Could not find
the frame base for "nsBaseAppShell::DoProcessNextNativeEvent(int)".
)
    at nsBaseAppShell.cpp:151
#160 0x02900f3d in nsBaseAppShell::OnProcessNextEvent (
    this=<value optimized out>, thr=<value optimized out>, 
    mayWait=<value optimized out>, recursionDepth=Could not find the frame base
for "nsBaseAppShell::OnProcessNextEvent(nsIThreadInternal*, int, unsigned int)".
) at nsBaseAppShell.cpp:278
#161 0x029be76e in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:497
#162 0x0298b76c in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#163 0x02901014 in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#164 0x027b57fc in nsAppStartup::Run (this=<value optimized out>)
    at nsAppStartup.cpp:181
#165 0x02185e91 in XRE_main (argc=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#166 0x08049169 in main (argc=1, argv=0xbffc48b4) at nsXULStub.cpp:364
(gdb) 
(gdb) quit
The program is running.  Exit anyway? (y or n) y
[tbl@localhost ~]$ 
Comment 5 Tom London 2008-05-19 20:55:33 EDT
Could this be glibc?

[tbl@localhost ~]$ rpm -qa glibc\*
glibc-debuginfo-2.8.90-3.i686
glibc-common-2.8.90-3.i386
glibc-debuginfo-common-2.8.90-3.i386
glibc-headers-2.8.90-3.i386
glibc-devel-2.8.90-3.i386
glibc-2.8.90-3.i686
[tbl@localhost ~]$ 
Comment 6 Tom London 2008-05-20 12:26:10 EDT
Have lots of .debuginfo packages:

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.kanxH5
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib/firefox-3.0pre/firefox
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/b3/e334a77965923dc2d19d9350ea3705d4534fa5.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7f996d0 (LWP 5000)]
[New Thread 0xb7d98b90 (LWP 5008)]
[New Thread 0xb7397b90 (LWP 5010)]
[New Thread 0xb6911b90 (LWP 5011)]
[New Thread 0xb5dffb90 (LWP 5012)]
[New Thread 0xb53feb90 (LWP 5013)]
[New Thread 0xb48f3b90 (LWP 5014)]
[Thread 0xb6911b90 (LWP 5011) exited]
[New Thread 0xb6911b90 (LWP 5015)]
[New Thread 0xb3027b90 (LWP 5016)]
[New Thread 0xb2626b90 (LWP 5017)]
[New Thread 0xb1c25b90 (LWP 5018)]
[New Thread 0xb1224b90 (LWP 5019)]
[Thread 0xb6911b90 (LWP 5015) exited]
[Thread 0xb2626b90 (LWP 5017) exited]
[New Thread 0xb2626b90 (LWP 5025)]
[Thread 0xb2626b90 (LWP 5025) exited]
[Thread 0xb1c25b90 (LWP 5018) exited]
Detaching after fork from child process 5054.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf

Program received signal SIGSEGV, Segmentation fault.
0x07a81f59 in get_captype () from /usr/lib/libhunspell-1.2.so.0
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bug-buddy.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 elfutils.i386 esound.i386 expat.i386 fontconfig.i386
freetype.i386 gamin.i386 gnome-keyring.i386 gnutls.i386 hunspell.i386
keyutils.i386 krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386
libXScrnSaver.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdmcp.i386
libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386
libXrandr.i386 libXrender.i386 libXt.i386 libart_lgpl.i386 libbonobo.i386
libbonoboui.i386 libcap.i386 libgcrypt.i386 libgnome.i386 libgnomecanvas.i386
libgnomeui.i386 libgpg-error.i386 libjpeg.i386 libselinux.i386 libsoup.i386
libtasn1.i386 libxcb.i386 libxml2.i386 nss-mdns.i386 openssl.i686 pixman.i386
popt.i386 swfdec-mozilla.i386 swfdec.i386 zlib.i386
(gdb) where
#0  0x07a81f59 in get_captype () from /usr/lib/libhunspell-1.2.so.0
#1  0x07a889e1 in Hunspell::cleanword2 () from /usr/lib/libhunspell-1.2.so.0
#2  0x07a88aff in Hunspell::spell () from /usr/lib/libhunspell-1.2.so.0
#3  0x014aadab in mozHunspell::Check (this=0xc81b710, aWord=0xbfbb0544, 
    aResult=0xbfbb04a8) at mozHunspell.cpp:433
#4  0x014a2723 in mozSpellChecker::CheckWord (this=0xc0d17d8, 
    aWord=@0xbfbb04e0, aIsMisspelled=0xbfbb05e4, aSuggestions=0x0)
    at mozSpellChecker.cpp:145
#5  0x0139844a in nsEditorSpellCheck::CheckCurrentWordNoSuggest (
    this=0xc0d80a0, aSuggestedWord=0xbfbb0544, aIsMisspelled=0xbfbb05e4)
    at nsEditorSpellCheck.cpp:296
#6  0x014a7c1a in mozInlineSpellChecker::DoSpellCheck (this=0xc0d3268, 
    aWordUtil=@0xbfbb0670, aSpellCheckSelection=0xcf149e0, aStatus=0xc0d2450, 
    aDoneChecking=0xbfbb06bc) at mozInlineSpellChecker.cpp:1401
#7  0x014a8bf9 in mozInlineSpellChecker::ResumeCheck (this=0xc0d3268, 
    aStatus=0xc0d2450) at mozInlineSpellChecker.cpp:1470
#8  0x014a90d9 in mozInlineSpellResume::Run (this=0xc0d2448)
    at mozInlineSpellChecker.cpp:510
#9  0x014ea8e6 in nsThread::ProcessNextEvent (this=0x9db9d18, mayWait=1, 
    result=0xbfbb0764) at nsThread.cpp:510
#10 0x014b7888 in NS_ProcessNextEvent_P (thread=0xbfbb02f8, mayWait=1)
    at nsThreadUtils.cpp:227
#11 0x0142d130 in nsBaseAppShell::Run (this=0x9e6fd20)
---Type <return> to continue, or q <return> to quit---
    at nsBaseAppShell.cpp:170
#12 0x012e17fc in nsAppStartup::Run (this=0x9e9ccf0) at nsAppStartup.cpp:181
#13 0x00cb1e91 in XRE_main (argc=1, argv=0xbfbb3e74, aAppData=0x9d64aa8)
    at nsAppRunner.cpp:3170
#14 0x08049169 in __gxx_personality_v0 ()
    at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:363
#15 0x009815d6 in __libc_start_main (main=Could not find the frame base for
"__libc_start_main".
) at libc-start.c:220
#16 0x08048cc1 in __gxx_personality_v0 ()
    at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:363
(gdb) 
(gdb) 
(gdb) quit
The program is running.  Exit anyway? (y or n) y
Comment 8 Tom London 2008-05-20 12:43:41 EDT
Here is another one.

I seem to get 2 different ones: a SIGSEGV (above) and a SIGPIPE (this one):

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.lGUSZ2
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib/firefox-3.0pre/firefox
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/b3/e334a77965923dc2d19d9350ea3705d4534fa5.debug
(no debugging symbols found)
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7f9b6d0 (LWP 5537)]
[New Thread 0xb7d9ab90 (LWP 5545)]
[New Thread 0xb7399b90 (LWP 5546)]
[New Thread 0xb6913b90 (LWP 5547)]
[New Thread 0xb5f12b90 (LWP 5549)]
[New Thread 0xb5511b90 (LWP 5550)]
[New Thread 0xb48ffb90 (LWP 5551)]
[New Thread 0xb3efeb90 (LWP 5552)]
[Thread 0xb6913b90 (LWP 5547) exited]
[Thread 0xb3efeb90 (LWP 5552) exited]
[New Thread 0xb6913b90 (LWP 5553)]
[New Thread 0xb3efeb90 (LWP 5554)]
[New Thread 0xb23ffb90 (LWP 5555)]
[New Thread 0xb19feb90 (LWP 5556)]
[Thread 0xb23ffb90 (LWP 5555) exited]
[Thread 0xb6913b90 (LWP 5553) exited]
[New Thread 0xb6913b90 (LWP 5562)]
[Thread 0xb19feb90 (LWP 5556) exited]
Detaching after fork from child process 5579.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf
[Thread 0xb6913b90 (LWP 5562) exited]
[New Thread 0xb6913b90 (LWP 5673)]
[Thread 0xb48ffb90 (LWP 5551) exited]
[Thread 0xb6913b90 (LWP 5673) exited]
[New Thread 0xb6913b90 (LWP 5775)]
[New Thread 0xb48ffb90 (LWP 5777)]
[New Thread 0xb19feb90 (LWP 5778)]
[Thread 0xb48ffb90 (LWP 5777) exited]
[Thread 0xb6913b90 (LWP 5775) exited]
[New Thread 0xb6913b90 (LWP 5924)]
[Thread 0xb6913b90 (LWP 5924) exited]
[Thread 0xb19feb90 (LWP 5778) exited]
[New Thread 0xb19feb90 (LWP 6022)]

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 0xb7d9ab90 (LWP 5545)]
0x00110416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bug-buddy.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 elfutils.i386 esound.i386 expat.i386 fontconfig.i386
freetype.i386 gamin.i386 gnome-keyring.i386 gnutls.i386 hunspell.i386
keyutils.i386 krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386
libXScrnSaver.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdmcp.i386
libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386
libXrandr.i386 libXrender.i386 libXt.i386 libart_lgpl.i386 libbonobo.i386
libbonoboui.i386 libcap.i386 libgcrypt.i386 libgnome.i386 libgnomecanvas.i386
libgnomeui.i386 libgpg-error.i386 libjpeg.i386 libselinux.i386 libsoup.i386
libtasn1.i386 libxcb.i386 libxml2.i386 nss-mdns.i386 openssl.i686 pixman.i386
popt.i386 swfdec-mozilla.i386 swfdec.i386 zlib.i386
(gdb) where
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00b1f5c8 in send () from /lib/libpthread.so.0
#2  0x0761455e in pt_Send (fd=<value optimized out>, 
    buf=<value optimized out>, amount=<value optimized out>, 
    flags=<value optimized out>, timeout=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:1912
#3  0x0789b18c in ssl_DefSend (ss=<value optimized out>, 
    buf=<value optimized out>, len=<value optimized out>, 
    flags=<value optimized out>) at ssldef.c:128
#4  0x0788b8c4 in ssl3_SendRecord (ss=<value optimized out>, 
    type=<value optimized out>, pIn=<value optimized out>, 
    nIn=<value optimized out>, flags=<value optimized out>) at ssl3con.c:2041
#5  0x0788bd96 in SSL3_SendAlert (ss=<value optimized out>, 
    level=<value optimized out>, desc=<value optimized out>) at ssl3con.c:2296
#6  0x0789eed2 in ssl_SecureClose (ss=<value optimized out>) at sslsecur.c:1015
#7  0x078a38f7 in ssl_Close (fd=<value optimized out>) at sslsock.c:1405
#8  0x01317100 in nsNSSSocketInfo::CloseSocketAndDestroy (this=0xaa21e10)
    at nsNSSIOLayer.cpp:1492
#9  0x0130638c in nsSSLThread::requestClose (si=0xaa21e10)
    at nsSSLThread.cpp:423
#10 0x0131536b in nsSSLIOLayerClose (fd=0xa5848e0) at nsNSSIOLayer.cpp:1477
#11 0x075f9201 in PR_Close (fd=Could not find the frame base for "PR_Close".
)
    at ../../../mozilla/nsprpub/pr/src/io/priometh.c:136
---Type <return> to continue, or q <return> to quit---
#12 0x00d152b4 in nsSocketTransport::ReleaseFD_Locked (this=0xa88cd98, 
    fd=0xa5848e0) at nsSocketTransport2.cpp:1367
#13 0x00d15af7 in nsSocketTransport::OnSocketDetached (this=0xa88cd98, 
    fd=0xa5848e0) at nsSocketTransport2.cpp:1590
#14 0x00d18fef in nsSocketTransportService::DetachSocket (this=0x9970f78, 
    sock=0x9971234) at nsSocketTransportService2.cpp:179
#15 0x00d19548 in nsSocketTransportService::DoPollIteration (this=0x9970f78, 
    wait=0) at nsSocketTransportService2.cpp:634
#16 0x00d196c8 in nsSocketTransportService::OnProcessNextEvent (
    this=0x9970f78, thread=0x991ae58, mayWait=0, depth=1)
    at nsSocketTransportService2.cpp:519
#17 0x014ea88a in nsThread::ProcessNextEvent (this=0x991ae58, mayWait=0, 
    result=0xb7d9a278) at nsThread.cpp:497
#18 0x014b791e in NS_ProcessPendingEvents_P (thread=0x991ae58, 
    timeout=4294967295) at nsThreadUtils.cpp:180
#19 0x00d19160 in nsSocketTransportService::Run (this=0x9970f78)
    at nsSocketTransportService2.cpp:555
#20 0x014ea8e6 in nsThread::ProcessNextEvent (this=0x991ae58, mayWait=1, 
    result=0xb7d9a334) at nsThread.cpp:510
#21 0x014b7888 in NS_ProcessNextEvent_P (thread=0xb7d99eb0, mayWait=1)
    at nsThreadUtils.cpp:227
#22 0x014eb194 in nsThread::ThreadFunc (arg=0x991ae58) at nsThread.cpp:254
#23 0x07616f51 in _pt_root (arg=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#24 0x00b1851f in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
#25 0x00a4ebde in clone () from /lib/libc.so.6
(gdb) quit
The program is running.  Exit anyway? (y or n) y
Comment 9 Tom London 2008-05-20 12:48:38 EDT
Above several crashes are with

xulrunner-1.9-0.64.cvs20080516.fc10.i386
firefox-3.0-0.63.cvs20080516.fc10.i386
Comment 10 Matěj Cepl 2008-05-20 18:21:02 EDT
Ken, crashes in comment 2 and comment 8 look like yours. Am I right?
Comment 11 Matěj Cepl 2008-05-20 18:22:38 EDT
(In reply to comment #10)
> Ken, crashes in comment 2 and comment 8 look like yours. Am I right?

Of course,
s/Ken/Kai/
I am sorry.
Comment 12 Matěj Cepl 2008-05-20 18:25:06 EDT
On the other hand, bugs in comment 0, comment 4, and comment 6 seem to me like
yours, Caolan :-).

Good uncle Matěj bears gifts ;-)
Comment 13 Caolan McNamara 2008-05-21 05:10:24 EDT
xulrunner is actually #including an internal hunspell.hxx not the system one.

sizeof(Hunspell) using the system headers is 124 bytes, sizeof(Hunspell) using
the moz header is 36bytes. So the new in mozilla does't create enough space for
the created system Hunspell object to fit into.

There's an upstream xulrunner bug about using the internal header even with
--with-system-hunspell somewhere, that's the real problem. A workaround could be
to simply link the system headers over the internal ones. e.g. in %prep

ln -sf /usr/include/hunspell/hunspell.hxx
mozilla/extensions/spellcheck/hunspell/src/hunspell.hxx
etc.
or to fiddle the makefile to do the right thing with a -I to use the headers
belonging to the library being linked against
Comment 14 Kai Engert (:kaie) 2008-05-21 08:03:25 EDT
(In reply to comment #10)
> crashes in comment 2 and comment 8 look like yours. Am I right?

Both stacks are with a SIGPIPE, which happened in a debug session.

I don't think this is a crash, rather a debug breakpoint.
If you want, after gdb stops, just use command c and you'll see it continues.
You could even instruct gdb to ignore SIGPIPE, I think this command would do it:
(gdb) handle SIGPIPE nostop

I don't think you will see a crash with this stack when running outside of the
debugger.
Comment 15 Tom London 2008-05-21 10:29:59 EDT
Thanks for the improved "driving directions" ;)

Here is the first of 3 gdb stacks from crashes.  Believe these are 'different'.

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.2CuADd
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib/firefox-3.0pre/firefox
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/b3/e334a77965923dc2d19d9350ea3705d4534fa5.debug
(no debugging symbols found)
(gdb) 
(gdb) handle SIGPIPE nostop
Signal        Stop	Print	Pass to program	Description
SIGPIPE       No	Yes	Yes		Broken pipe
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7fe46d0 (LWP 4352)]

(firefox:4352): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
[New Thread 0xb7de3b90 (LWP 4369)]
[New Thread 0xb73e2b90 (LWP 4370)]
[New Thread 0xb695cb90 (LWP 4371)]
[New Thread 0xb5dffb90 (LWP 4372)]
[New Thread 0xb53feb90 (LWP 4373)]
[New Thread 0xb3a69b90 (LWP 4378)]
[New Thread 0xb3068b90 (LWP 4379)]
[New Thread 0xb2667b90 (LWP 4380)]
[New Thread 0xb1c66b90 (LWP 4381)]
[New Thread 0xb1218b90 (LWP 4382)]
[New Thread 0xb047eb90 (LWP 4383)]
[New Thread 0xaec95b90 (LWP 4384)]
[Thread 0xb3a69b90 (LWP 4378) exited]
[Thread 0xb1c66b90 (LWP 4381) exited]
[Thread 0xb047eb90 (LWP 4383) exited]
[Thread 0xaec95b90 (LWP 4384) exited]
[Thread 0xb2667b90 (LWP 4380) exited]
Detaching after fork from child process 4419.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf
[Thread 0xb695cb90 (LWP 4371) exited]
[New Thread 0xb695cb90 (LWP 4493)]
[Thread 0xb1218b90 (LWP 4382) exited]
[New Thread 0xb1218b90 (LWP 4573)]
[Thread 0xb695cb90 (LWP 4493) exited]
[Thread 0xb1218b90 (LWP 4573) exited]
[New Thread 0xb1218b90 (LWP 4681)]
[Thread 0xb1218b90 (LWP 4681) exited]
[New Thread 0xb1218b90 (LWP 4814)]
[New Thread 0xb695cb90 (LWP 4848)]
[Thread 0xb1218b90 (LWP 4814) exited]
[Thread 0xb695cb90 (LWP 4848) exited]
[New Thread 0xb695cb90 (LWP 4904)]
[Thread 0xb695cb90 (LWP 4904) exited]
[New Thread 0xb695cb90 (LWP 4987)]
[New Thread 0xb1218b90 (LWP 5004)]
[New Thread 0xb2667b90 (LWP 5005)]
[Thread 0xb1218b90 (LWP 5004) exited]
[Thread 0xb695cb90 (LWP 4987) exited]
[Thread 0xb2667b90 (LWP 5005) exited]
[New Thread 0xb2667b90 (LWP 5101)]
[New Thread 0xb695cb90 (LWP 5107)]
[Thread 0xb695cb90 (LWP 5107) exited]
[Thread 0xb2667b90 (LWP 5101) exited]
[New Thread 0xb2667b90 (LWP 5262)]
[Thread 0xb2667b90 (LWP 5262) exited]
[New Thread 0xb2667b90 (LWP 5371)]
[Thread 0xb2667b90 (LWP 5371) exited]
[New Thread 0xb2667b90 (LWP 5621)]
[Thread 0xb2667b90 (LWP 5621) exited]
[New Thread 0xb2667b90 (LWP 5794)]
[Thread 0xb2667b90 (LWP 5794) exited]
[New Thread 0xb2667b90 (LWP 6042)]
[Thread 0xb2667b90 (LWP 6042) exited]
[New Thread 0xb2667b90 (LWP 6154)]
[Thread 0xb2667b90 (LWP 6154) exited]
[New Thread 0xb2667b90 (LWP 6242)]
[New Thread 0xb695cb90 (LWP 6263)]
[Thread 0xb2667b90 (LWP 6242) exited]
[Thread 0xb695cb90 (LWP 6263) exited]
[New Thread 0xb695cb90 (LWP 6330)]
[New Thread 0xb2667b90 (LWP 6335)]
[Thread 0xb695cb90 (LWP 6330) exited]
[Thread 0xb2667b90 (LWP 6335) exited]
[New Thread 0xb2667b90 (LWP 6393)]
[New Thread 0xb695cb90 (LWP 6402)]
[Thread 0xb2667b90 (LWP 6393) exited]
[New Thread 0xb2667b90 (LWP 6408)]
[New Thread 0xb1218b90 (LWP 6409)]
[Thread 0xb1218b90 (LWP 6409) exited]
[New Thread 0xb1218b90 (LWP 6410)]
[Thread 0xb2667b90 (LWP 6408) exited]
[Thread 0xb1218b90 (LWP 6410) exited]
[New Thread 0xb2667b90 (LWP 6427)]
[Thread 0xb2667b90 (LWP 6427) exited]
[Thread 0xb695cb90 (LWP 6402) exited]
[New Thread 0xb695cb90 (LWP 6502)]
[Thread 0xb695cb90 (LWP 6502) exited]
[New Thread 0xb695cb90 (LWP 6556)]
[New Thread 0xb2667b90 (LWP 6557)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb2667b90 (LWP 6557)]
0x004a80c6 in __libc_res_nquery (statp=0xb2667df4, 
    name=0xb5ea647c "a56.g.akamai.net", class=1, type=62321, 
    answer=0xb2666190 "i_\201\200", anslen=2048, answerp=0xb2666dc4, 
    answerp2=0xb2666dc0, nanswerp2=0xb2666dbc) at res_query.c:242
242		if ((hp->rcode != NOERROR || ntohs(hp->ancount) == 0)
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bzip2.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 esound.i386 expat.i386 fontconfig.i386 freetype.i386
gamin.i386 gnome-keyring.i386 gnutls.i386 hunspell.i386 keyutils.i386 krb5.i386
lcms.i386 libICE.i386 libSM.i386 libX11.i386 libXScrnSaver.i386 libXau.i386
libXcomposite.i386 libXcursor.i386 libXdmcp.i386 libXext.i386 libXfixes.i386
libXft.i386 libXi.i386 libXinerama.i386 libXrandr.i386 libXrender.i386
libXt.i386 libart_lgpl.i386 libbonobo.i386 libbonoboui.i386 libcap.i386
libgcrypt.i386 libgnome.i386 libgnomecanvas.i386 libgnomeui.i386
libgpg-error.i386 libjpeg.i386 libselinux.i386 libsoup.i386 libtasn1.i386
libxcb.i386 libxml2.i386 nss-mdns.i386 openssl.i686 pixman.i386 popt.i386
swfdec-mozilla.i386 swfdec.i386 zlib.i386
(gdb) where
#0  0x004a80c6 in __libc_res_nquery (statp=0xb2667df4, 
    name=0xb5ea647c "a56.g.akamai.net", class=1, type=62321, 
    answer=0xb2666190 "i_\201\200", anslen=2048, answerp=0xb2666dc4, 
    answerp2=0xb2666dc0, nanswerp2=0xb2666dbc) at res_query.c:242
#1  0x004a8648 in __libc_res_nquerydomain (statp=0xb2667df4, 
    name=0xb5ea647c "a56.g.akamai.net", domain=0x0, class=1, type=62321, 
    answer=0xb2666190 "i_\201\200", anslen=2048, answerp=0xb2666dc4, 
    answerp2=0xb2666dc0, nanswerp2=0xb2666dbc) at res_query.c:546
#2  0x004a884e in __libc_res_nsearch (statp=0xb2667df4, 
    name=0xb5ea647c "a56.g.akamai.net", class=1, type=62321, 
    answer=0xb2666190 "i_\201\200", anslen=2048, answerp=0xb2666dc4, 
    answerp2=0xb2666dc0, nanswerp2=0xb2666dbc) at res_query.c:349
#3  0x00687f44 in _nss_dns_gethostbyname4_r (
    name=0xb5ea647c "a56.g.akamai.net", pat=0xb2667174, buffer=0xb2666e00 "", 
    buflen=512, errnop=0xb2667170, herrnop=0xb2667160, ttlp=0x0)
    at nss_dns/dns-host.c:304
#4  0x00242983 in gaih_inet (name=0xb5ea647c "a56.g.akamai.net", service=0x0, 
    req=0xb26672f8, pai=0xb26672b4, naddrs=0xb26672a4)
    at ../sysdeps/posix/getaddrinfo.c:711
#5  0x002446d4 in getaddrinfo (name=0xb5ea647c "a56.g.akamai.net", 
    service=0x0, hints=0xb26672f8, pai=0xb2667318)
    at ../sysdeps/posix/getaddrinfo.c:2162
#6  0x076094d9 in PR_GetAddrInfoByName (hostname=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    af=<value optimized out>, flags=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/misc/prnetdb.c:2042
#7  0x02d9c732 in nsHostResolver::ThreadFunc (arg=<value optimized out>)
    at nsHostResolver.cpp:697
#8  0x07616f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x0013951f in start_thread (arg=0xb2667b90) at pthread_create.c:297
#10 0x0025ebde in clone () from /lib/libc.so.6
(gdb) 
(gdb) exit
Undefined command: "exit".  Try "help".
(gdb) quit
The program is running.  Exit anyway? (y or n) y
Comment 16 Tom London 2008-05-21 10:31:15 EDT
Second (hunspell):

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.Hb2jrG
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib/firefox-3.0pre/firefox
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/b3/e334a77965923dc2d19d9350ea3705d4534fa5.debug
(no debugging symbols found)
(gdb) handle SIGPIPE nostop
Signal        Stop	Print	Pass to program	Description
SIGPIPE       No	Yes	Yes		Broken pipe
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7f496d0 (LWP 7054)]

(firefox:7054): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
[New Thread 0xb7d48b90 (LWP 7081)]
warning: the debug information found in
"/usr/lib/debug//usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so.debug" does not
match "/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so" (CRC mismatch).

warning: the debug information found in
"/usr/lib/debug/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so.debug" does not
match "/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so" (CRC mismatch).

[New Thread 0xb7347b90 (LWP 7082)]
[New Thread 0xb68c1b90 (LWP 7083)]
[New Thread 0xb5ec0b90 (LWP 7084)]
[New Thread 0xb54bfb90 (LWP 7085)]
[New Thread 0xb48ffb90 (LWP 7086)]
[New Thread 0xb3efeb90 (LWP 7087)]
[Thread 0xb68c1b90 (LWP 7083) exited]
[Thread 0xb3efeb90 (LWP 7087) exited]
[Thread 0xb48ffb90 (LWP 7086) exited]
[New Thread 0xb48ffb90 (LWP 7154)]
[New Thread 0xb3efeb90 (LWP 7155)]
[New Thread 0xb68c1b90 (LWP 7156)]
[New Thread 0xb2339b90 (LWP 7157)]
[Thread 0xb3efeb90 (LWP 7155) exited]
[New Thread 0xb3efeb90 (LWP 7158)]
[New Thread 0xb1938b90 (LWP 7159)]
[Thread 0xb68c1b90 (LWP 7156) exited]
[New Thread 0xb68c1b90 (LWP 7160)]
[New Thread 0xb0f37b90 (LWP 7161)]
[New Thread 0xb0536b90 (LWP 7162)]
[Thread 0xb3efeb90 (LWP 7158) exited]
[Thread 0xb68c1b90 (LWP 7160) exited]
[Thread 0xb0f37b90 (LWP 7161) exited]
[Thread 0xb0536b90 (LWP 7162) exited]
[New Thread 0xb0536b90 (LWP 7167)]
[New Thread 0xb0f37b90 (LWP 7168)]
[Thread 0xb1938b90 (LWP 7159) exited]
[Thread 0xb0536b90 (LWP 7167) exited]
Detaching after fork from child process 7187.
Unsupported movie property id with value "flash_object"
Unsupported movie property style with value "position: absolute; top: 1px; left:
1px; height: 1px; width: 1px;"
Unsupported movie property quality with value "high"
Unsupported movie property pluginspage with value
"http://www.macromedia.com/go/getflashplayer"
unhandled event 19
Loading stream: https://mail.google.com/mail/im/sound.swf

Program received signal SIGSEGV, Segmentation fault.
0x07a84837 in HashMgr::lookup () from /usr/lib/libhunspell-1.2.so.0
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bzip2.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 esound.i386 expat.i386 fontconfig.i386 freetype.i386
gamin.i386 gnome-keyring.i386 gnutls.i386 gtk-nodoka-engine.i386 hunspell.i386
keyutils.i386 krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386
libXScrnSaver.i386 libXau.i386 libXcomposite.i386 libXcursor.i386 libXdmcp.i386
libXext.i386 libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386
libXrandr.i386 libXrender.i386 libXt.i386 libart_lgpl.i386 libbonobo.i386
libbonoboui.i386 libcap.i386 libgcrypt.i386 libgnome.i386 libgnomecanvas.i386
libgnomeui.i386 libgpg-error.i386 libjpeg.i386 libselinux.i386 libsoup.i386
libtasn1.i386 libxcb.i386 libxml2.i386 nss-mdns.i386 openssl.i686 pixman.i386
popt.i386 swfdec-mozilla.i386 swfdec.i386 zlib.i386
(gdb) where
#0  0x07a84837 in HashMgr::lookup () from /usr/lib/libhunspell-1.2.so.0
#1  0x07a881ca in Hunspell::checkword () from /usr/lib/libhunspell-1.2.so.0
#2  0x07a88d2b in Hunspell::spell () from /usr/lib/libhunspell-1.2.so.0
#3  0x03523dab in mozHunspell::Check (this=<value optimized out>, 
    aWord=<value optimized out>, aResult=<value optimized out>)
    at mozHunspell.cpp:433
#4  0x0351b723 in mozSpellChecker::CheckWord (this=<value optimized out>, 
    aWord=<value optimized out>, aIsMisspelled=<value optimized out>, 
    aSuggestions=<value optimized out>) at mozSpellChecker.cpp:145
#5  0x0341144a in nsEditorSpellCheck::CheckCurrentWordNoSuggest (
    this=<value optimized out>, aSuggestedWord=<value optimized out>, 
    aIsMisspelled=<value optimized out>) at nsEditorSpellCheck.cpp:296
#6  0x03520c1a in mozInlineSpellChecker::DoSpellCheck (
    this=<value optimized out>, aWordUtil=<value optimized out>, 
    aSpellCheckSelection=<value optimized out>, aStatus=<value optimized out>, 
    aDoneChecking=<value optimized out>) at mozInlineSpellChecker.cpp:1401
#7  0x03521bf9 in mozInlineSpellChecker::ResumeCheck (
    this=<value optimized out>, aStatus=<value optimized out>)
    at mozInlineSpellChecker.cpp:1470
#8  0x035220d9 in mozInlineSpellResume::Run (this=Could not find the frame base
for "mozInlineSpellResume::Run()".
)
    at mozInlineSpellChecker.cpp:510
#9  0x035638e6 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at nsThread.cpp:510
#10 0x03530888 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#11 0x034a6130 in nsBaseAppShell::Run (this=<value optimized out>)
    at nsBaseAppShell.cpp:170
#12 0x0335a7fc in nsAppStartup::Run (this=<value optimized out>)
    at nsAppStartup.cpp:181
#13 0x02d2ae91 in XRE_main (argc=<value optimized out>, 
    argv=<value optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3170
#14 0x08049169 in __gxx_personality_v0 ()
    at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:363
#15 0x001915d6 in __libc_start_main (
    main=0x8048d84 <__gxx_personality_v0+296>, argc=1, ubp_av=0xbfe64964, 
    init=0x804de40 <__gxx_personality_v0+20964>, 
    fini=0x804de30 <__gxx_personality_v0+20948>, 
    rtld_fini=0x120670 <_dl_fini>, stack_end=0xbfe6495c) at libc-start.c:220
#16 0x08048cc1 in __gxx_personality_v0 ()
    at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:363
(gdb) 
(gdb) exit
Undefined command: "exit".  Try "help".
(gdb) quit
The program is running.  Exit anyway? (y or n) y
Comment 17 Tom London 2008-05-21 10:32:37 EDT
Third (last of this batch).  Similar to the one in #15 ?

[tbl@localhost ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib/firefox-3.0pre
 
LD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/plugins:/usr/lib/firefox-3.0pre
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib/firefox-3.0pre/res/Xft
DYLD_LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
    
LIBRARY_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre/components:/usr/lib/firefox-3.0pre
       SHLIB_PATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
          LIBPATH=/usr/lib/firefox-3.0pre:/usr/lib/firefox-3.0pre
       ADDON_PATH=/usr/lib/firefox-3.0pre
      MOZ_PROGRAM=/usr/lib/firefox-3.0pre/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/home/tbl/bin)
/usr/bin/gdb /usr/lib/firefox-3.0pre/firefox -x /tmp/mozargs.MYxf8W
GNU gdb Fedora (6.8-5.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Missing separate debuginfo for /usr/lib/firefox-3.0pre/firefox
Try: yum --enablerepo='*-debuginfo' install
/usr/lib/debug/.build-id/b3/e334a77965923dc2d19d9350ea3705d4534fa5.debug
(no debugging symbols found)
(gdb) handle SIGPIPE nostop
Signal        Stop	Print	Pass to program	Description
SIGPIPE       No	Yes	Yes		Broken pipe
(gdb) run
Starting program: /usr/lib/firefox-3.0pre/firefox 
[Thread debugging using libthread_db enabled]
[New Thread 0xb7ff76d0 (LWP 7330)]

(firefox:7330): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.
[New Thread 0xb7df6b90 (LWP 7338)]
warning: the debug information found in
"/usr/lib/debug//usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so.debug" does not
match "/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so" (CRC mismatch).

warning: the debug information found in
"/usr/lib/debug/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so.debug" does not
match "/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so" (CRC mismatch).

[New Thread 0xb73f5b90 (LWP 7339)]
[New Thread 0xb696fb90 (LWP 7340)]
[New Thread 0xb5f6eb90 (LWP 7341)]
[New Thread 0xb556db90 (LWP 7342)]
[New Thread 0xb380eb90 (LWP 7347)]
[Thread 0xb380eb90 (LWP 7347) exited]
[New Thread 0xb380eb90 (LWP 7348)]
[Thread 0xb380eb90 (LWP 7348) exited]
[New Thread 0xb380eb90 (LWP 7349)]
[New Thread 0xb29ffb90 (LWP 7350)]
[New Thread 0xb1ffeb90 (LWP 7351)]
[New Thread 0xb15fdb90 (LWP 7352)]
[Thread 0xb380eb90 (LWP 7349) exited]
[New Thread 0xb380eb90 (LWP 7353)]
[New Thread 0xb0bfcb90 (LWP 7354)]
[New Thread 0xb01fbb90 (LWP 7355)]
[Thread 0xb15fdb90 (LWP 7352) exited]
[Thread 0xb380eb90 (LWP 7353) exited]
[Thread 0xb0bfcb90 (LWP 7354) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb01fbb90 (LWP 7355)]
0x004a80c6 in __libc_res_nquery (statp=0xb01fbdf4, 
    name=0x99f3914 "www.mail.com", class=1, type=62321, 
    answer=0xb01fa190 ";�\201\200", anslen=2048, answerp=0xb01fadc4, 
    answerp2=0xb01fadc0, nanswerp2=0xb01fadbc) at res_query.c:242
242		if ((hp->rcode != NOERROR || ntohs(hp->ancount) == 0)
Missing separate debuginfos, use: debuginfo-install ORBit2.i386 acl.i386
alsa-lib.i386 attr.i386 audiofile.i386 avahi.i386 bzip2.i386 dbus-glib.i386
dbus.i386 e2fsprogs.i386 esound.i386 expat.i386 fontconfig.i386 freetype.i386
gamin.i386 gnome-keyring.i386 gtk-nodoka-engine.i386 hunspell.i386 keyutils.i386
krb5.i386 lcms.i386 libICE.i386 libSM.i386 libX11.i386 libXScrnSaver.i386
libXau.i386 libXcomposite.i386 libXcursor.i386 libXdmcp.i386 libXext.i386
libXfixes.i386 libXft.i386 libXi.i386 libXinerama.i386 libXrandr.i386
libXrender.i386 libXt.i386 libart_lgpl.i386 libbonobo.i386 libbonoboui.i386
libcap.i386 libgnome.i386 libgnomecanvas.i386 libgnomeui.i386 libjpeg.i386
libselinux.i386 libxcb.i386 libxml2.i386 nss-mdns.i386 openssl.i686 pixman.i386
popt.i386 zlib.i386
(gdb) where
#0  0x004a80c6 in __libc_res_nquery (statp=0xb01fbdf4, 
    name=0x99f3914 "www.mail.com", class=1, type=62321, 
    answer=0xb01fa190 ";�\201\200", anslen=2048, answerp=0xb01fadc4, 
    answerp2=0xb01fadc0, nanswerp2=0xb01fadbc) at res_query.c:242
#1  0x004a8648 in __libc_res_nquerydomain (statp=0xb01fbdf4, 
    name=0x99f3914 "www.mail.com", domain=0x0, class=1, type=62321, 
    answer=0xb01fa190 ";�\201\200", anslen=2048, answerp=0xb01fadc4, 
    answerp2=0xb01fadc0, nanswerp2=0xb01fadbc) at res_query.c:546
#2  0x004a884e in __libc_res_nsearch (statp=0xb01fbdf4, 
    name=0x99f3914 "www.mail.com", class=1, type=62321, 
    answer=0xb01fa190 ";�\201\200", anslen=2048, answerp=0xb01fadc4, 
    answerp2=0xb01fadc0, nanswerp2=0xb01fadbc) at res_query.c:349
#3  0x00946f44 in _nss_dns_gethostbyname4_r (name=0x99f3914 "www.mail.com", 
    pat=0xb01fb174, buffer=0xb01fae00 "", buflen=512, errnop=0xb01fb170, 
    herrnop=0xb01fb160, ttlp=0x0) at nss_dns/dns-host.c:304
#4  0x00242983 in gaih_inet (name=0x99f3914 "www.mail.com", service=0x0, 
    req=0xb01fb2f8, pai=0xb01fb2b4, naddrs=0xb01fb2a4)
    at ../sysdeps/posix/getaddrinfo.c:711
#5  0x002446d4 in getaddrinfo (name=0x99f3914 "www.mail.com", service=0x0, 
    hints=0xb01fb2f8, pai=0xb01fb318) at ../sysdeps/posix/getaddrinfo.c:2162
#6  0x076094d9 in PR_GetAddrInfoByName (hostname=<value optimized out>, 
    af=<value optimized out>, flags=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/misc/prnetdb.c:2042
---Type <return> to continue, or q <return> to quit---
#7  0x02d9c732 in nsHostResolver::ThreadFunc (arg=<value optimized out>)
    at nsHostResolver.cpp:697
#8  0x07616f51 in _pt_root (arg=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#9  0x0013951f in start_thread (arg=0xb01fbb90) at pthread_create.c:297
#10 0x0025ebde in clone () from /lib/libc.so.6
(gdb) 
(gdb) exit
Undefined command: "exit".  Try "help".
(gdb) quit
The program is running.  Exit anyway? (y or n) y
Comment 18 Tom London 2008-05-21 10:42:59 EDT
My current glibc:

glibc-2.8.90-4.i686
glibc-utils-2.8.90-4.i386
glibc-debuginfo-2.8.90-4.i686
glibc-headers-2.8.90-4.i386
glibc-common-2.8.90-4.i386
glibc-debuginfo-common-2.8.90-4.i386
glibc-devel-2.8.90-4.i386
Comment 19 Matthew Miller 2008-05-21 21:19:01 EDT
Marking this a dupe of bug #447460 because that one has a more specific summary.

*** This bug has been marked as a duplicate of 447460 ***
Comment 20 Matěj Cepl 2008-05-23 02:10:40 EDT
This is where the meat is.
Comment 21 Matěj Cepl 2008-05-23 02:11:25 EDT
*** Bug 447460 has been marked as a duplicate of this bug. ***
Comment 22 Matěj Cepl 2008-05-23 02:11:43 EDT
*** Bug 447731 has been marked as a duplicate of this bug. ***
Comment 23 Matěj Cepl 2008-05-23 02:13:45 EDT
For newcomers to this bug  -- look at the comment 13.
Comment 24 Ralf Ertzinger 2008-05-23 05:27:15 EDT
I've just done a local build of xulrunner (current CVS checkout) with the suggestion in comment 13 (symlink 
the system hunspell header into the xulrunner tree) and the crashes _seem_ to be gone.
Comment 25 Matěj Cepl 2008-05-26 10:15:51 EDT
*** Bug 448288 has been marked as a duplicate of this bug. ***
Comment 26 Peter Lemenkov 2008-05-26 10:26:25 EDT
Can we just turn off hunspell to avoid crashing? I'll try tomorrow to turn off
spell checking.
Comment 27 Matthew Miller 2008-05-26 10:34:47 EDT
> Can we just turn off hunspell to avoid crashing? I'll try tomorrow
> to turn off spell checking.

Yes. Edit|Preferences->Advanced/General, uncheck "Check my spelling as I type",
and you'll avoid crashes. Plus, you;ll not get embarrasign red linnes al over
yur messges when yuo wright so tahts a benefet too.
Comment 28 Matěj Cepl 2008-05-27 08:26:07 EDT
*** Bug 448432 has been marked as a duplicate of this bug. ***
Comment 29 Matěj Cepl 2008-06-11 10:57:23 EDT
*** Bug 450822 has been marked as a duplicate of this bug. ***
Comment 30 Matěj Cepl 2008-06-16 01:37:16 EDT
*** Bug 451549 has been marked as a duplicate of this bug. ***
Comment 31 Matěj Cepl 2008-06-16 01:39:49 EDT
(In reply to comment #27)
> Yes. Edit|Preferences->Advanced/General, uncheck "Check my spelling as I type",
> and you'll avoid crashes. Plus, you;ll not get embarrasign red linnes al over
> yur messges when yuo wright so tahts a benefet too.

I set in about:config the key layout.spellcheckDefault to 0 and it helped too.
Comment 32 Jonathan Kamens 2008-06-16 15:43:09 EDT
Is this fixed yet?  Any ETA?
Comment 33 Matěj Cepl 2008-06-24 13:01:53 EDT
*** Bug 452656 has been marked as a duplicate of this bug. ***
Comment 34 Matěj Cepl 2008-06-24 13:04:02 EDT
*** Bug 452657 has been marked as a duplicate of this bug. ***
Comment 35 Mamoru TASAKA 2008-06-26 03:01:50 EDT
kazehakase-0.5.4-5.fc10also seems to be suffering from this issue.
Comment 36 Matěj Cepl 2008-07-14 11:36:34 EDT
*** Bug 455198 has been marked as a duplicate of this bug. ***
Comment 37 Matěj Cepl 2008-07-17 12:51:09 EDT
*** Bug 452579 has been marked as a duplicate of this bug. ***
Comment 38 Stewart Adam 2008-07-17 13:08:28 EDT
Any updates on this problem? If it's just a matter of symlinking, how come we
don't just rebuild the RPM and push it out?
Comment 39 Christopher Aillon 2008-07-23 11:53:49 EDT
Should be fixed in xulrunner-1.9.0.1-2.fc10 
Comment 40 Will Woods 2008-07-23 12:37:46 EDT
*** Bug 452509 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.